Bug 52205 - (update) devel/p5-Rcs-Agent to 1.03
Summary: (update) devel/p5-Rcs-Agent to 1.03
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-14 09:30 UTC by Mathieu Arnold
Modified: 2003-06-10 16:45 UTC (History)
1 user (show)

See Also:


Attachments
p5-Rcs-Agent-1.03.diff (2.57 KB, patch)
2003-05-14 09:30 UTC, Mathieu Arnold
no flags Details | Diff
rcs-agent-1.03-patch (2.24 KB, text/x-patch)
2003-06-10 15:58 UTC, Nick Hilliard
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold 2003-05-14 09:30:17 UTC
Update to 1.03
Comment 1 nick 2003-05-14 12:15:02 UTC
> Absolutely - a helpful soul already submitted a problem report with the
> update - I'll commit it tonight.

Ah - the pr was sent about one minute after I sent you this mail. 
Strange co-incidence.

The suggested patch in the PR is slightly incorrect. The post-patch:
make target should be ditched completely from the Makefile, as
Rcs::Agent 1.03 no longer uses File::MkTemp.

Nick
Comment 2 Anton Berezin freebsd_committer 2003-05-14 12:22:16 UTC
On Wed, May 14, 2003 at 12:15:02PM +0100, Nick Hilliard wrote:
> > Absolutely - a helpful soul already submitted a problem report with the
> > update - I'll commit it tonight.
> 
> Ah - the pr was sent about one minute after I sent you this mail. 
> Strange co-incidence.
> 
> The suggested patch in the PR is slightly incorrect. The post-patch:
> make target should be ditched completely from the Makefile, as
> Rcs::Agent 1.03 no longer uses File::MkTemp.

Nick, since you are the author of the module, and obviously a FreeBSD
user, maybe you would care to become the port maintainer?  In this way,
FreeBSD can get a guarantee of timely updates.

Cheers,
\Anton.
-- 
You shouldn't be intimidated by this issue at all, since Perl is your
friend. -- Apache mod_perl guide
Comment 3 nick 2003-05-14 12:50:26 UTC
> Nick, since you are the author of the module, and obviously a FreeBSD
> user, maybe you would care to become the port maintainer?  In this way,
> FreeBSD can get a guarantee of timely updates.

Sure, except that I don't have a commit bit.

Nick
Comment 4 Anton Berezin freebsd_committer 2003-05-14 12:52:09 UTC
On Wed, May 14, 2003 at 12:50:26PM +0100, Nick Hilliard wrote:
> > Nick, since you are the author of the module, and obviously a FreeBSD
> > user, maybe you would care to become the port maintainer?  In this way,
> > FreeBSD can get a guarantee of timely updates.
> 
> Sure, except that I don't have a commit bit.

One does not need a commit bit to become a port maintainer, luckily!

\Anton.
-- 
You shouldn't be intimidated by this issue at all, since Perl is your
friend. -- Apache mod_perl guide
Comment 5 nick 2003-05-14 13:14:24 UTC
> One does not need a commit bit to become a port maintainer, luckily!

This is true too.  Ok, do your worst and make me the maintainer.  You
might set the email address to be nick@foobar.org instead of
@netability.ie, though, if that's ok.

Nick
Comment 6 Ying-Chieh Liao freebsd_committer 2003-05-14 17:56:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tobez

over to maintainer
Comment 7 Erwin Lansing freebsd_committer 2003-06-07 12:42:26 UTC
Responsible Changed
From-To: tobez->erwin

tobez is short on time, I'll handle it for him
Comment 8 Nick Hilliard 2003-06-10 15:58:36 UTC
Update patch attached.

Nick
Comment 9 Erwin Lansing freebsd_committer 2003-06-10 16:45:34 UTC
State Changed
From-To: open->closed

Committed, thanks!